Bug 981069 - [abrt] alacarte-3.7.90-1.fc19: posixpath.py:92:split:AttributeError: 'NoneType' object has no attribute 'rfind'
[abrt] alacarte-3.7.90-1.fc19: posixpath.py:92:split:AttributeError: 'NoneTyp...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
abrt_hash:56ee6ae1a96afa1ae08bd767484...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 19:26 EDT by Pavel Roskin
Modified: 2015-02-17 10:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:49:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (582 bytes, text/plain)
2013-07-03 19:26 EDT, Pavel Roskin
no flags Details
File: core_backtrace (320 bytes, text/plain)
2013-07-03 19:26 EDT, Pavel Roskin
no flags Details
File: environ (3.09 KB, text/plain)
2013-07-03 19:26 EDT, Pavel Roskin
no flags Details

  None (edit)
Description Pavel Roskin 2013-07-03 19:26:24 EDT
Description of problem:
I'm normally using LXDE, but I decided to run MATE to try it.  I found that all non-menu items in the main Applications menu are missing.  I ran alacarte and found many empty submenus.  I removed several of them.  When I tried removing a submenu called "System", alacarte crashed.  When I restarted alacarte, the "System" submenu was missing, to it was removed successfully.  "System" was an empty submenu of the main Appications menu.  It wasn't shown in MATE.

Version-Release number of selected component:
alacarte-3.7.90-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python2.7 -OOt /bin/alacarte
dso_list:       python-libs-2.7.5-1.fc19.x86_64
executable:     /bin/alacarte
kernel:         3.10.0-main
runlevel:       N 5
uid:            1000

Truncated backtrace:
posixpath.py:92:split:AttributeError: 'NoneType' object has no attribute 'rfind'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 76, in menuChanged
    self.loadUpdates()
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 91, in loadUpdates
    item_id = os.path.split(items[iter][3].get_desktop_file_path())[1]
  File "/usr/lib64/python2.7/posixpath.py", line 92, in split
    i = p.rfind('/') + 1
AttributeError: 'NoneType' object has no attribute 'rfind'

Local variables in innermost frame:
p: None
Comment 1 Pavel Roskin 2013-07-03 19:26:27 EDT
Created attachment 768515 [details]
File: backtrace
Comment 2 Pavel Roskin 2013-07-03 19:26:30 EDT
Created attachment 768516 [details]
File: core_backtrace
Comment 3 Pavel Roskin 2013-07-03 19:26:33 EDT
Created attachment 768517 [details]
File: environ
Comment 4 Andre Vehreschild 2013-09-01 09:01:29 EDT
Description of problem:
Trying to modify a user-defined directory.

Version-Release number of selected component:
alacarte-3.7.90-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
dso_list:       python-libs-2.7.5-4.fc19.x86_64
executable:     /usr/bin/alacarte
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
posixpath.py:92:split:AttributeError: 'NoneType' object has no attribute 'rfind'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 435, in on_properties_button_clicked
    self.on_edit_properties_activate(None)
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 306, in on_edit_properties_activate
    file_path = os.path.join(util.getUserDirectoryPath(), os.path.split(item.get_desktop_file_path())[1])
  File "/usr/lib64/python2.7/posixpath.py", line 92, in split
    i = p.rfind('/') + 1
AttributeError: 'NoneType' object has no attribute 'rfind'

Local variables in innermost frame:
p: None
Comment 5 Oscar 2013-10-14 12:49:31 EDT
Description of problem:
I was just unselecting the item '.hidden' from the Applications Menu.

Version-Release number of selected component:
alacarte-3.7.90-1.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python2.7 -OOt /bin/alacarte
dso_list:       python-libs-2.7.5-4.fc19.i686
executable:     /bin/alacarte
kernel:         3.11.3-201.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
posixpath.py:92:split:AttributeError: 'NoneType' object has no attribute 'rfind'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 340, in on_item_tree_show_toggled
    self.editor.setVisible(item, False)
  File "/usr/lib/python2.7/site-packages/Alacarte/MenuEditor.py", line 195, in setVisible
    self.writeMenu(item, NoDisplay=not visible)
  File "/usr/lib/python2.7/site-packages/Alacarte/MenuEditor.py", line 414, in writeMenu
    file_id = os.path.split(menu.get_desktop_file_path())[1]
  File "/usr/lib/python2.7/posixpath.py", line 92, in split
    i = p.rfind('/') + 1
AttributeError: 'NoneType' object has no attribute 'rfind'

Local variables in innermost frame:
p: None
Comment 7 Fedora End Of Life 2015-01-09 13:39:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 10:49:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.